open Gl
open Glut

let display () =
    glClear (cgl_depth_buffer_bit lor cgl_color_buffer_bit);
    glColor3f 1.0 1.0 1.0;
    glRectf (-0.5) (-0.5) 0.5 0.5;
    glutSwapBuffers ()

let kbd a b c = if a = 27 then exit 0 else ()

let _ =
    glutInitDisplayMode (glut_DOUBLE lor glut_ALPHA lor glut_RGB lor glut_DEPTH);
    let _ =
	let t s = Printf.printf "%s: %b\n" s (test_gl_function s) in
	t "glBlendColor";
	t "suxx";
	t "glDrawMeshNV";
	flush stdout;
    in
    let _ = glutCreateWindow "test" in
    glutDisplayFunc display;
    glutKeyboardFunc kbd;
    glutMainLoop ()
